/* Assume: 1rem = 1em = 16px */

/****************************/
/* Below 1200px (smaller desktops, landscape tablets) */
/****************************/
@media (max-width: 75em) {
  html {
    /* Decrease font size by 1px: 9px / 16px  * 100 */
    font-size: 56.25%;
  }
}

/****************************/
/* Below 944px  */
/****************************/
@media (max-width: 59em) {
  /* GENERAL CSS */
  .primary-heading {
    font-size: 3.8rem;
  }

  .secondary-heading {
    margin-bottom: 6.4rem;
  }

  /* APP FEATURES SECTION */
  .section-app-features {
    padding: 4.8rem 0;
  }

  .app-features-container {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 2.3rem;
  }

  .features-img-box {
    justify-content: flex-start;
  }

  .settings-img {
    display: none;
  }

  .woman-img {
    width: 60%;
  }

  /* QUICK START SECTION */
  .section-quickstart {
    padding: 4.8rem 0;
  }

  .quickstart-container {
    row-gap: 6.4rem;
  }

  .step-number {
    font-size: 7.6rem;
  }

  /* GENERAL INFORMATION */
  .section-general-information {
    padding: 4.8rem 0;
  }
}

/****************************/
/* Below 704px  */
/****************************/
@media (max-width: 44em) {
  /* Mobile Nav */
  .btn-nav-mobile {
    display: block;
    z-index: 1000;
  }

  .nav-main {
    background-color: #e6fcf5ee;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    transform: translateX(100%);

    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: center;
    transition: all 0.4s ease-out;

    opacity: 0;
    pointer-events: none;
    visibility: hidden;
  }

  .nav-is-open .nav-main {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .nav-is-open .icon-nav-mobile[name="close-outline"] {
    display: block;
  }

  .nav-is-open .icon-nav-mobile[name="menu-outline"] {
    display: none;
  }

  .nav-main-list {
    flex-direction: column;
  }

  .nav-main-link:link,
  .nav-main-link:visited {
    font-size: 2.7rem;
    display: block;
    padding: 2.3rem 9.6rem;
    justify-self: center;
  }

  /* HERO SECTION */

  .hero-container {
    grid-template-columns: 1fr;
    gap: 4.8rem;
  }

  .hero-description {
    margin-bottom: 2.4rem;
  }

  .hero-img-box {
    text-align: center;
  }

  .hero-img {
    width: 50%;
  }

  /* APP FEATURES SECTION */
  .app-features-container {
    grid-template-columns: 2fr 1fr;
  }

  .features-img-box {
    align-items: center;
    justify-content: center;
  }

  /* QUICKSTART SECTION */
  .step-img {
    width: 80%;
  }
}

/****************************/
/* Below 544px  */
/****************************/
@media (max-width: 34em) {
  /* Reduce Space between Outer Container / Secondary Heading and Section Content */
  .secondary-heading {
    margin-bottom: 4.8rem;
  }

  /* SECTION HERO */
  /* Reduce row gap in hero container */
  .section-hero {
    padding: 3.2rem 0;
  }

  .hero-container {
    gap: 4.8rem;
  }

  .hero-description {
    margin-bottom: 2.4rem;
  }

  .hero-img {
    width: 65%;
  }

  /* SECTION FEATURES */
  /* Reduce grid to one column and remove picture of woman meditating */
  .app-features-container {
    grid-template-columns: 1fr;
  }

  .features-img-box {
    display: none;
  }

  /* QUICKSTART SECTION */
  /* Reduce to one column. Display text first then img */

  .quickstart-container {
    grid-template-columns: 1fr;
  }

  .step-img-box:nth-child(3) {
    grid-row: 4;
  }

  .step-img {
    width: 65%;
  }

  .step-text-box {
    transform: translateY(2.4rem);
  }
}
